+++
title = "Cargo Cult"
date = 2018-11-30

[taxonomies]
tags = ["code", "cargo cult"]
+++

Um dos problemas não falados na área de T.I. é o *cargo cult*, mas poucos
realmente sabem o que essa expressão quer dizer e de onde vem.

<!-- more -->

{% note() %}
Esse post acompanha a minha apresentação sobre 
[Cargo Cult](https://presentations.juliobiason.net/cargo-cult.html).
{% end %}

Você provavelmente já ouviu falar da "Polinésia", onde ficam o Havaí, a Nova
Zelândia e a Ilha da Páscoa, entre outros. Mas logo do lado existe outro grupo
de ilhas, chamadas de "Melanésia", onde Fiji faz parte.

Pois bem, nesse conjunto de ilhas, nos séculos 19 e 20, houve um "intercâmbio"
entre os exploradores europeus e norte-americanos com as tribos indígenas
locais. Produtos trazidos por aviões eram trocados com os indígenas; produtos
como chicletes e espelhos eram trocados por comida ou utilizados como moeda
para pagamento de serviços -- como aconteceu em vários outros lugares do mundo
em outros tempos.

Entretanto, nem tudo dura pra sempre e os explodores se foram, levando seus
aviões, chicletes e espelhos.

Para as tribos da Melanésia, isso se tornou um problema. Como eles fariam para
continuar conseguindo seus chicletes e espelhos?

A solução foi "simples": Eles fizeram seu próprio avião, com sua própria pista
de vôo.

![Indígenas Melonsénios com seu avião](../cargo-cult.jpg)

Não apenas isso, mas em algumas ilhas, é venerado o deus "John Frum", que
voltará trazendo grandes maravilhas. E chicletes.

E agora você está rindo, achando  "nossa, que bando de simplórios".

Bom, mas alguma vez você já ouviu alguém dizer...

* "Vamos usar X porque a Netflix usa."

ou

* "Faremos com Y porque é do Google."

ou ainda

* "No livro do Uncle Bob ele diz pra fazer assim."

Estes são exemplos básicos de *cargo cult* no meio da T.I. Quando as
capacidades técnicas de alguma ferramenta (biblioteca, framework, linguagem, o
que seja) é ignorado, baseando-se apenas na sua origem e/ou uso por causa de um
nome, então temos um cargo cult -- a ideia de que, se fizermos como os outros
fizeram ou da forma que outros falaram, teremos sucesso.

Obviamente, o fato do Netflix usar alguma coisa, ou ser feita pelo Google, ou
ser indicado pelo Uncle Bob são fatores importante, mas não devem ser, nem de
longe, o fator decisivo na escolha de uma tecnologia.

E só porque o Uncle Bob disse pra fazer assim, não quer dizer que fazendo
*assim* você vai ter o retorno esperado -- porque seu problema pode não ser
exatamente o problema que o Uncle Bob está resolvendo.

E só porque o Netflix usa, não quer dizer que usar a mesma tecnologia vá trazer
o mesmo resultado -- a não ser que você esteja trabalhando na Netflix e fazendo
o que a Netflix faz.

Por isso, tome cuidado quando alguém diz que vai ser utilizada alguma
tecnologia pelos motivos acima. Eles podem ser critérios de desempate quando há
mais de uma opção, mas eles não devem ser, nem de longe, o primeiro critério de
aceitação.

{% note() %}
A parte dos chicletes e John Frum pode ser vista no documentário 
[Into the Inferno](https://www.imdb.com/title/tt4846318/?ref_=fn_al_tt_1),
de Werner Herzog.
{% end %}
