+++
title = "Commented link: Open source licensing and why we're changing Plausible to the AGPL license"
date = 2020-10-23

[taxonomies]
tags = ["links", "licenses", "plausible", "agpl"]
+++

Plausible is a competitor for Google Analytics, without the need of exposing
your visitors data to some company. And recently they [changed their license to
AGPL](https://plausible.io/blog/open-source-licenses), where they explain why.

<!-- more -->

But while I admit that I'm not a fan of the tone of "COMPANIES WILL STEAL YOUR
CODE!", there is another point one must think: What if someone acts as a
gateway of your project to some users? Will they ever know there is someone
else working on it? What about improvements? Don't you want people using _your_
product to get the best experience?

Sure, you can ignore these problems and just don't care about what people do.
What if a company takes your work and get some money from it? You don't care.
Ok. But this gives me the impression that you don't care about what you did.
You don't care about your product. If you don't care, why should I? Why should
I care about you, in the first place?

(Ok, I know: I'm being mean. Whatever.)

But that's the thing, isn't it? I mean, I wrote some software. I like it. It
solves my problem. I expect people to like it too. I just don't want a faceless
entity to come around, pick my software, do some changes and lock their users
into their system -- something that I, inadvertently, helped build. _I locked
people into some product that they have no idea they could just move their data
out of it_.

"Not everybody can program, so who cares?" Yes, not everybody can pick whatever
script in Python or Rust or C or Java I wrote and change to make it fit their
needs -- heck, think about someone wanting to making a change in Firefox. But
everybody knows someone that can program. They can ask that person to change
that. They can _pay_ that person to change the program to fit their needs. But,
for that, they need to have access to the code. If the faceless entity picks
the code, makes changes, lock people and my license doesn't prevent them from
doing it so, I'm part of the problem.

No size fits all in software. We can fit a large number of people, but not all.
But we can give the tools to let people make it fit their size.
