+++
title = "My 2019 Review"
date = 2020-01-03

[taxonomies]
tags = ["year", "2019", "review"]
+++

This year, I decided to make some review of what happened last year, to me.

<!-- more -->

2019 can be called "The Year I Rode".

In 2018 I did some presentations on [Tchelinux](https://tchelinux.org/), and
2019 started with a "Let's just ride all the way to the border" from my
cousin. The result is that, in 2019, I did presentations in 13 of the 15
events Tchelinux promoted. I spoked about Rust 8 times, how people can help
open source projects 7 times, stream processing 5 times, Python 4 times (with
one I basically took over from another friend that couldn't get to the event)
and testing 2 times.

Honestly, I did enjoy the combination of presentations and riding. My
psychiatrist mentioned I seemed better after all that (she basically
complained that I should get "more in touch with nature" and such, which I
guess it could count, if you see the amount of trees there are around the
roads). I also got a brand new interest in the presentations, to the point
that I'm already studying some new topics for presentations.

I got so into doing technical presentations that in the end of 2019 I applied
for the [Mozilla Tech Speakers](https://events.mozilla.org/techspeakers),
although the answer will only come in 2020. Fingers crossed.

I also rode all the way from [Porto
Alegre](https://en.wikipedia.org/wiki/Porto_Alegre) to
[Montevideo](https://en.wikipedia.org/wiki/Montevideo), which took about 12
hours (24 total, back and forth), just to be there for 3 days for [Rust
Latam](https://rustlatam.org/).

Speaking of Rust, this year I added "Rust in POA" as my other Meetup -- I
already help organize PyTche and took Rust in POA when it was about to be
deactivated. Also, I think this year I finally managed to write some code that
actually let the compiler happy -- and I'm still using it! And I still way
more personal projects I want to experiment in Rust.

But my coding life wasn't just about Rust. This year I got deep into Java 8
and, honestly, the experience wasn't as bad as I recalled from Java 2. Streams
and Optionals are, basically, my everyday tools now. We are in a dysfunctional
relationship, but it actually works.

I did some other tech changes: I dropped Evernote and moved everything I had
to [NextCloud](https://nextcloud.com/) and [Joplin](https://joplinapp.org/).
It always bugged me that I kept pushing to "Own your platform", but my heavy
content was in a platform I had no control over it. Now I do.

Speaking of "owning your platform", I become way more active on
[Mastodon](https://functional.cafe/@juliobiason). Although it's not running on
my own platform (yet), it's open source and I can take my data any time I want
-- and move to another place with no issues. You can take your
Twitter/Facebook data, but can you put it somewhere else? I don't think so.

I also moved a bunch of stuff to my [new domain](https://juliobiason.me). So,
again, owning my platform.

Out of the tech sphere, I found
[Synthwave](https://en.wikipedia.org/wiki/Synthwave), which basically is
consuming all my music listening hours (including when I'm writing this post).

So, good year, right? No so much.

Since the mid of 2018, I'm feeling really burnt out, and although the change
of pace is helping, I'm still not feeling 100% productive. I mentioned a lot
of personal projects, but I only check them half-hour after lunch; I don't
feel like going anywhere near code after the end of my working hours. This is
really annoying, 'cause I have a bunch of things I want to automate, but doing
any sort of code outside the office feels... painful. This is a complete
different picture from 2008 (I know, that was 11 years ago) when I would get
to work, code code code, go back home and then code some more. I have strong
hopes of getting some vacation and finally "get fixed".

Insomnia is still part of my nights. I'm taking meds now to help me sleep. The
only good side of this is that it help me read 32 books this year (you may
have seen the reviews in this blog).

2019 was also the year I feared for some friends. There is a strong alt-right
movement in the country -- specially after the alt-right candidate was elected
-- and I feared mostly for my friends. I also felt guilty for not standing
that up as I should: I'm white, male and cis, and I'm pretty sure I won't be a
target, and that's why I should be in the front lines, but I'm too much of a
coward to do so.

Also, this year I lost two people. The first one was a new friend I made on
Rust in POA. He was one of the people that _really_ understood Rust. I still
feel kinda guilty about this, 'cause I saw he had some depressing posts on
Twitter and it took me way to long to talk to him before it happened.

The second person was my uncle. He was the guy who was only 13 years old than
me, did the [Santiago de
Compostela](https://en.wikipedia.org/wiki/Santiago_de_Compostela) pilgrimage
route about four (or even five) times, was cycling all the time, did
marathons. And, suddenly, heart attack. He was the guy I would expect to make
fun of _my_ funeral.

But what about 2020?

First, personally, I really _really_ hoping this stupid burn out will go away
after vacations, so I can finally fix my own digital life.

Second, I'll keep my presentations. I also hope I get selected for Tech
Speaker, only to have more stuff to talk about.

Third, for the fucks sake, I hope I won't lose anyone else, 'cause even after
all this time, I still don't know how to handle these loses (I still feel bad
when my gramma passed away, and that was 10 years ago).
