+++
title = "FSF and rms (Again)"
date = 2021-03-29

[taxonomies]
tags = ["gpl", "fsf", "free software foundation", "stallman", "rms"]
+++

About six months ago, in 2020-09-16[^1], Richard Stallman, a.k.a. "rms", [resigned from
FSF](https://www.osnews.com/story/130635/richard-stallman-resigns-from-fsf-mit-after-defending-child-rape/)
(the Free Software Foundation, maintainer of the GPL family of licenses) with
not-so-great headlines. A week ago, in 2021-03-22, rms told the world [that he
is back](https://www.zdnet.com/article/richard-m-stallman-returns-to-the-free-software-foundation-board-of-directors/).

And now we have a huge mess. Again.

<!-- more -->

## First of all...

Let me say this first and foremost: No one is denying the works of rms. No one
is denying that taking a huge undertaking of writing a whole compiler to
produce an open source operating system isn't without merit. All those are
recognizable and show a lot of effort for the greater good.


## But then...

There are allegations coming from all sides that rms seems to harass people
(mostly women), some people feeling uncomfortable with his words and acting; 
and we also have people saying that it is not all that, that there is a
"lynching" going around (I'm not kidding) and general support for him.

"Is he a bad or good person?" is not a question I intent answer here. This is
not the part that annoys me in this whole discussion.

Due his strong opinions and general complains about his presence,
he decided to resign from the FSF, the body responsible for the GPL license and
everything related to it, from keeping it active to helping developers with
legal situations with the license.

(Personally, while the linked article points that his resignation was in part
for the news about people using the "services" of Jeffrey Epstein of young
girls for sex, I've read that rms support for Marvin Minsky, cited in Epstein
list of clients, was not "yeah, sex with kids is alright!" but actually "I
think Minsky was convinced that the girls weren't underage and forced into
sex, so he was unknowingly part of it" -- again, that's my understanding.
And only on that point, just to be clear.)

But, in the end, that's what's pointed as his resignation.



## And then...

In 2021-03-22, rms appeared in an online event,
[LibrePlanet](https://libreplanet.org/2021/) to announce that he's back into
the board of the FSF. There wasn't an official statement about it, it was like
a huge surprise for everyone.

In the follow days, RedHat, FSFE (Free Software Foundation Europe) and a lot
other companies and groups removed their support for the FSF.


## But...

The first problem I see with it all is that the FSF, while promoting the
openness of software, by securing a license that allows anyone to have access
to the code, a license that promotes the evolution of code in the open, suddenly took
a closed decision behind closed doors without consulting anyone outside the
board.

It seems weird promoting openness when they are closed in their own decisions.


## Also...

The second problem is the content of the announcement.

Again, without ever getting into "he said that" "he didn't said that" matter,
one must recognize what they said that could cause people to revolt.
There wasn't any words about "Look, thinks I said were taken out of
context" or even a "I've chosen words poorly and that hurt people, and I
promise I'll take care of that in the future"[^2].

I believe that if there was any mention of that, the current revolt wouldn't be
so strong. Not saying "There wouldn't be any", but less aggressive. Heck, if
there was the acknowledgment that he learnt why there was a revolt in the first
place, this time it would be a lot less painful.


## And finally...

The third problem is the current state of free software. No, I don't mean "WE
ARE BEING SWALLOWED BY CORPORATE GREED", although that's partially true, but we
are seeing the use of "kind-of-open-source-but-not-quite" license, a.k.a.
"source available" license, like the
[SSPL](https://en.wikipedia.org/wiki/Server_Side_Public_License) being recently
adopted by the Elastic Corporation.

While resources from FSF could be used to dispel any
[FUD](https://en.wikipedia.org/wiki/Fear,_uncertainty,_and_doubt) or
misconceptions about GPL licenses, we now focus on "Should he be in the
board?". The board even had to engineer a staff member to [act as
director](https://www.fsf.org/news/update-on-work-to-improve-governance-at-the-fsf)
and other measures of openness, when there should be a focus on making sure
"source available" licenses don't spread too much.


## In conclusion...

I just have one question floating my head right now: Does anyone need to be on
the board to actually help the FSF? Imagine if instead of "I'm back to the
board of FSF", rms announcement actually was "I'm back helping the FSF promote
free software". Sure, some people would complain, but you can see that even
them would think "Yeah, but he's not *part* of the FSF." And life would move
on, and the FSF could focus on the GPL and other licenses, and helping
companies not get trapped into "source-available license is our only solution"
and so on.

So *why* in the board? Isn't there any other position where rms can't help the
FSF? I pretty much doubt that, but someone (or someones) decided that wasn't
enough; board or burst.

"Since he's there, just leave him there" as a way to quell the discussion is no
way to deal with this. Unless we see open discussion on why -- and, for morbid
curiosity, who -- rms is back on the board, the whole point of the FSF as
promoters of openness feels shaken to me, personally.


## Post-script

One of the easiest way to make a project crumble is to have heroes. "If this
person takes a vacation, the system will crash", "The whole success of this
project is due that person" are very *bad* signs in a project.

For example, when Guido von Rossum decided to resign from his BDFL position,
the whole Python community scrabbled to figure out a way to move along --
mostly 'cause the community put a lot of pressure on him because it thought the
only way to move forward was with Guido at the helm. The Rust community, on the
other hand, focus a lot of taking this image of "This is the project of this
person" by giving small parts to a lot of people: I know there is a person
leading the "better error messages" part, I know there is a person leading the
"async" part (although I'm seeing a movement on the lead of that part), I know there
is person leading the "Rust in Embedded environments" part and so on. If any
one of those resigns, I don't feel like the Rust ecosystem is in danger; it is
only part of it, and a substitute can be found 'cause that person was not "the
hero" of that part.

That need for heroes seems to be part of the problem with FSF: With rms out,
there was no hero in tow to promote the project. Because nobody actually tried
to move out of rms shadow before his resignation, the leadership ended with a
vacuum that nobody filled -- or felt the need to fill. That was the moment to
push small projects, assign several names (maybe a handful of names) into those
projects and show that the FSF found a better way to move. But because they
never tried to innovate, they seems to have get stuck into "finding another
hero" and decided to call the old one back.

Free Software shouldn't be synonymous of rms.

---

[^1]: Well, screw this, I don't want to use the Imperial format for dates and I
  don't want to confuse people that use the Imperial format, so let's go with
  the ISO format and confuse the world.

[^2]: That isn't that freaking hard, people! I've been called out for using
  "guys", which I responded that I understood what they meant, would take more
  care in the future, and thanked for their reply. From that point, instead of
  "guys", I use "people" and neutral pronouns. And it doesn't freaking
  hurt **at all** (although it is really hard when my native language --
  Portuguese -- have only gendered pronouns, but I try).
