+++
title = "FSF e rms (De Novo)"
date = 2021-03-29

[taxonomies]
tags = ["gpl", "software livre", "fsf", "stallman", "rms"]
+++

Mais ou menos a seis meses atrás, em 16 de setembro de 2020, Richard Stallman,
também conhecimento como "rms" [reunciou sua cadeira da
FSF](https://www.osnews.com/story/130635/richard-stallman-resigns-from-fsf-mit-after-defending-child-rape/)
(Free Software Foundation, mantenedora da família de licenças GPL) com
manchetes não-tão-boas. Há uma semana atrás, em 22 de março de 2021, rms
anunciou ao mundo que [ele está de volta](https://www.zdnet.com/article/richard-m-stallman-returns-to-the-free-software-foundation-board-of-directors/). 

E agora estamos numa grande baderna. De novo

<!-- more -->

## Antes de mais nada...

Deixem-me deixar algo bem claro de começo: Ninguém está negando o trabalho
feito pelo rms. Ninguém está dizendo que o trabalho de criar um compilador
inteiro para produzir um sistema operacional de código aberto não tem seus
méritos. Todos esses são reconhecidos e mostram um grande trabalho para o bem
maior.


## Entretanto...

Existem alegações vindo de todos os lados que rms assediava as pessoas
(principalmente mulheres), algumas pessoas se sentindo inconfortáveis com suas
palavras e sua forma de agir; e, ao mesmo tempo, temos pessoas falando que não
é tudo isso, que existe um "linchamento" acontecendo (sem mentira) e pessoas
que mostram seu apoio.

"Ele é uma pessoa boa ou má?" não é uma pergunta que eu pretendo responder
aqui. Isso não faz parte do que me incomoda nessa discussão toda.

Devido às suas opiniões fortes e reclamações gerais da sua presença, ele
resolveu renunciar a sua posição da FSF, a organização responsável pela licença
GPL e coisas relacionadas à ela, desde mantê-la ativa a ajudar desenvolvedores
com questões legais do uso da licença.

(Pessoalmente, embora o artigo acima diga que sua renuncia tenha sido em parte
pelas notícias de pessoas usando o "serviço" de Jeffrey Epstein de garotas
jovens como prostitutas, eu li que o apoio do rms ao Marvin Minsky, citado como
um dos clientes de Epstein, não era "Isso, sexo com menores é ok!" mas "Eu
acho que Minsky foi convencido que as garotas não eram menores de idade e
forçadas ao sexo, então ele foi parte disso sem saber" -- e, de novo, isso foi
o que eu entendi. E apenas neste ponto, para que fique claro).

Mas, no fim, foi o que foi apontando durante a sua renuncia.


## E então...

Em 22 de março de 2021, rms apareceu num evento online,
[LibrePlanet](https://libreplanet.org/2021/) para anunciar que ele estava de
volta ao board da FSF. Não houve um anúncio oficial sobre isso, e foi uma
grande surpresa para todos.

Dias depois do anúncio, a RedHat, a FSFE (Free Software Foundation Europe) e
outras empresas e grupos tiraram seu apoio a FSF.


## Mas...

O primeiro problema que eu vejo com tudo isso é que a FSF, enquanto promotora
da abertura de software, que mantém uma licença que permite a todos terem
acesso ao código, uma licença que promove a evolução do código fonte de forma
aberta, de repente tomou uma decisão atrás de portas fechadas sem consultar
ninguém fora do board.

É estranho alguém promover abertura quando as duas próprias decisões são
tomadas de forma fechada.

## E também...

O segundo problema é o conteúdo do anúncio.

De novo, sem entrar na discussão do "Ele disso isso", "Ele não disse isso", uma
pessoa precisa entender o que foi dito que causou revolta. Não foi dito nada
sobre "Olha, o que eu disso foi tirado de contexto" ou mesmo um "Eu escolhi mal
minhas palavras e isso acabou machucando pessoas e eu prometo que vou tomar
mais cuidado no futuro"[^1].

Eu acho que, se houvesse pelo menos alguma menção à isso, a revolta atual não
seria tão forte. Não que não houvesse revolta, mas seria bem menos agressiva.
Diabos, eu acho que se houverem qualquer menção ao entendimento do porque houve
a primeira revolta, dessa vez seria bem menos dolorido.


## E finalmente...

O terceiro problema é com o estado atual do software livre. Não, eu quero dizer
que "ESTAMOS SENDO ENGOLIDOS PELA GANÂNCIA CORPORATIVISTA!", embora isso seja
parcialmente verdade, mas estamos vendo a escalada de uso de licenças
"meio-que-código-aberto-mas-não-exatamente", também conhecidas como "código
disponível" como a [SSPL](https://en.wikipedia.org/wiki/Server_Side_Public_License)
sendo recentemente adotada pela Elastic Corporation.

Então que os recursos da FSF poderiam estar sendo usadas para remover
[FUD](https://en.wikipedia.org/wiki/Fear,_uncertainty,_and_doubt) ou conceitos
errados sobre as licenças GPL, agora nós precisamos focar em "Deveria estar no
board?" O board inclusive teve que criar uma posição para que um membro [haja
como diretor](https://www.fsf.org/news/update-on-work-to-improve-governance-at-the-fsf)
e outras medidas para mostrar abertura, quando deveria haver foco em se
certificar que licenças "código disponível" não se espalhem muito.


## Em conclusão...

Eu só tenho uma pergunta na minha cabeça sobre isso: Alguém precisa realmente
fazer parte do board para ajudar a FSF? Imaginem que, ao invés de dizer "Estou
de volta ao board", o anúncio do rms fosse "Estou novamente ajudando a FSF a
promover software livre". Ainda haveriam aqueles reclamando, mas acho que até
mesmo esses pensariam "Bom, pelo menos ele não é *parte* da FSF". E a vida
continuaria, e a FSF poderia focar na GPL e outras licençás, e ajudar empresas
a não entrarem na armadilha do "licença código-disponível é a nossa única
solução" e assim por diante.

Então *por que* entrar no board? Não existe nenhuma outra posição que o rms
poderia assumir na FSF? Eu duvido muito, mas alguém (ou alguéns) decidiu que
não era o suficiente; board ou nada.

"Já que ele está lá, deixa lá" como forma de amenizar a discussão não é a forma
de lidar com o problema. A menos que haja uma discussão aberta do porque -- e,
por curiosidade mórbida, por quem -- o rms retornou ao board, todo o ponto da
FSF em serem os promotores de sistemas abertos parece estremecido pra mim,
pessoalmente.


## Post-script

Uma forma fácil de fazer um projeto se desfazer é a necessidade de terem
heróis. "Se essa pessoa sair de férias, o sistema cai", "O sucesso desse
projeto é por causa dessa pessoa" são sinais *feios* em um projeto.

Por exemplo, quando o Guido von Rossum decidir abdicar da sua posição de BDFL,
toda a comunidade Python estremeceu procurando uma forma de continuar --
principalmente porque a comunidade colocou pressão sobre ele por acreditar que
a única forma de continuar progredindo fosse com o Guido na direção. A
comunidade Rust, por outro lado, foca um bocado em remover essa imagem de "Esse
é o projeto dessa pessoal", dando pequenas partes para várias pessoas: "Eu sei
que tem uma pessoa liderando a parte de "melhores mensagens de erro", eu sei
que tem uma pessoa liderando a parte de "async" (embora eu esteja vendo uma
mudança em que vai liderar isso daqui pra frente), ei sei que tem uma pessoa
liderando a parte de "Rust em ambientes embarcados" e assim por diante. Se
qualquer um desses abdica do seu post, eu não vou sentir que o ecossistema
inteiro de Rust está em perigo; é só uma parte do todo, e um substituto pode
ser encontrado porque essa pessoa não era um "herói" daquela parte.

A necessidade de heróis parece ser parte do problema da FSF: Sem o rms, não
havia um herói abordo para promover o projeto. Porque ninguém realmente tentou
sair da sombra do rms antes da sua renúncia, a licença terminou com um vácuo
que ninguém preencheu -- ou sentiu a necessidade de preencher. O momento da
renúncia era o momento para criar vários pequenos projetos, colocar vários
nomes (talvez um punhado de novos nomes) neste projetos e mostrar que a FSF
encontrou uma forma melhor de continuar. Mas porque eles nunca tentaram inovar,
parece que ficaram esperando um novo herói surgir e decidiram chamar o anterior
de volta.

Software livre não deveria ser sinônimo de rms.


---

[^1]: Por favor pessoas, isso não é difícil! Já me xingaram por usar "caras", e
  eu respondi que entendi o que eles queriam dizer, tomaria mais cuidado no
  futuro e agradeci pelo aviso. Desde então, eu procuro usar "pessoas" ao invés
  de "caras" (quem me conhece pessoalmente sabe que eu tenho um vício de
  linguagem forte em usar "cara") e tento, sempre que possível, usar pronomes
  neutros. E isso não dói **absolutamente nada**. E sim, em alguns casos é bem
  difícil de achar um pronome neutro numa língua como português.

<!-- 
vim:spelllang=pt:
-->
